options:
  n1kv-source:
    default: ppa:cisco-n1kv/n1kv-updates
    type: string
    description: |
      Repository from which to install vem binaries.eg. cisco private ppa. The value needs be input in the following format:
      "deb https://<user>:<auth-token>@private-ppa.launchpad.net/<archive>/ precise main|<keyid>"
  n1kv-vsm-ip:
    type: string
    default: "10.10.10.10"
    description: "Management ip of VSM"
  n1kv-vsm-domain-id:
    type: int
    default: 1000
    description: "Domain id this vsm will be controlling"
  host_mgmt_intf:
    type: string
    default: "eth0"
    description: "Management interface of the Host"
  uplink_profile:
    type: string
    default: "phys eth8 profile sys-uplink"
    description: "Port-Profile mapping for all UVEM managed Interfaces"
  vtep_config:
    type: string
    default: ""
    description: "VTEP config. Syntax: virt <port-name> profile <profile-name> [mode static|dhcp] [address <ipaddr>]"
  node_type:
    type: string
    default: "compute"
    description: "Function of this node in Cisco Openstack network"
  mapping:
    type: string
    default: ""
    description: "Host Specific configuration mapping"
  n1kv-version:
    type: string
    default: ""
    description: "Version number of VEM packages. If left blank, it will pick up the latest"
  vtep_in_same_subnet:
    type: string
    default: "no"
    description: "If vteps created are in same subnet for the purpose of loadbalancing, rpf checking is set to loose mode for all interfaces on the compute node and the quantum-gateway"
  additional-param:
    type: string
    default: ""
    description: "Additional parameters for n1kv.conf file"
  
  
